// Demonstrate the use of SOmelet and methods in a main
public class UseSOmelet {
  public static void main(String args[]){
    // Construct a standard omelet and show some of its contents
    SOmelet standard = SOmeletMethods.constructSOmelet();
    System.out.println(standard.eggs);
    System.out.println(standard.extraIngredients);

    // Construct a proper American omelet and show some of its contents
    SOmelet coronary = SOmeletMethods.constructSOmelet(5,12); 
    SOmeletMethods.addIngredient(coronary,"bacon");
    SOmeletMethods.addIngredient(coronary,"ham");
    System.out.println(coronary.eggs);
    System.out.println(coronary.extraIngredients);

    // How much else can I eat today?
    int calories;
    calories= SOmeletMethods.getBaseCalories(standard);
    System.out.println("Standard calories: " + calories);
    calories= SOmeletMethods.getBaseCalories(coronary);
    System.out.println("Coronary calories: " + calories);

    // Start cooking
    SOmeletMethods.cookFor(standard, 4.0);
    SOmeletMethods.cookFor(coronary, 4.0);

    boolean safe;
    safe = !SOmeletMethods.foodPoisoningIminent(standard);
    System.out.println("Standard safe for consumption? "+safe);
    safe = !SOmeletMethods.foodPoisoningIminent(coronary);
    System.out.println("Coronary safe for consumption? "+safe);
  }
}
