// Demonstrate the use of OOOmelet in a main 
public class UseOOOmelet {
  public static void main(String args[]){
    // Construct a standard omelet and show some of its contents
    OOOmelet standard = new OOOmelet();
    System.out.println(standard.eggs);
    System.out.println(standard.extraIngredients);

    // Construct a proper American omelet and show some of its contents
    OOOmelet coronary = new OOOmelet(5,12); 
    coronary.addIngredient("bacon");
    coronary.addIngredient("ham");
    System.out.println(coronary.eggs);
    System.out.println(coronary.extraIngredients);

    // How much else can I eat today?
    int calories;
    calories= standard.getBaseCalories();
    System.out.println("Standard calories: " + calories);
    calories= coronary.getBaseCalories();
    System.out.println("Coronary calories: " + calories);

    // Start cooking
    standard.cookFor(4.0);
    coronary.cookFor(4.0);

    boolean safe;
    safe = !standard.foodPoisoningIminent();
    System.out.println("Standard safe for consumption? "+safe);
    safe = !coronary.foodPoisoningIminent();
    System.out.println("Coronary safe for consumption? "+safe);
  }
}
